Bug 88811 - [patch] Adding make option to apcupsd to build without pthread support
Summary: [patch] Adding make option to apcupsd to build without pthread support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-10 21:50 UTC by Josh Carroll
Modified: 2005-11-17 20:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Carroll 2005-11-10 21:50:18 UTC
In order to get apcupsd's apcstatus utility to properly work without talking on
a local tcp/ip port, pthreads must be disabled. To facilitate this, can we add
a NOPTHREADS option to the Makefile (see enclosed patch)? The default would
remain off/no.

Fix: 

See enclosed patch of the apcupsd Makefile.
How-To-Repeat: 	n/a
Comment 1 Edwin Groothuis freebsd_committer 2005-11-10 22:02:04 UTC
Maintainer of sysutils/apcupsd,

Please note that PR ports/88811 just has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/88811

-- 
Edwin Groothuis
edwin@FreeBSD.org
Comment 2 Marcus Alves Grando freebsd_committer 2005-11-11 21:57:14 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2005-11-13 19:04:08 UTC
State Changed
From-To: feedback->open

Maintainer returned this port to the pool.
Comment 4 Pav Lucistnik freebsd_committer 2005-11-17 15:36:35 UTC
State Changed
From-To: open->feedback

There's no patch attached ...?
Comment 5 Pav Lucistnik freebsd_committer 2005-11-17 20:08:02 UTC
State Changed
From-To: feedback->closed

COmmitted, thanks!